summaryrefslogtreecommitdiffstats
path: root/trinity-apps/amarok/amarok-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-apps/amarok/amarok-9999.ebuild')
-rw-r--r--trinity-apps/amarok/amarok-9999.ebuild24
1 files changed, 19 insertions, 5 deletions
diff --git a/trinity-apps/amarok/amarok-9999.ebuild b/trinity-apps/amarok/amarok-9999.ebuild
index e5485a1e..cd59470a 100644
--- a/trinity-apps/amarok/amarok-9999.ebuild
+++ b/trinity-apps/amarok/amarok-9999.ebuild
@@ -22,7 +22,7 @@ HOMEPAGE="https://trinitydesktop.org/"
LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="14"
if [[ ${PV} != *9999* ]] ; then
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="~amd64 ~x86"
fi
# Notes about the ebuild:
@@ -37,10 +37,10 @@ fi
#
# - Otherwise the ebuild should offer all what can be done with CMake at the moment.
-IUSE="akode amazon ifp inotify ipod konqsidebar mp4 mtp mysql njb
+IUSE="akode amazon ifp inotify ipod konqsidebar mariadb mp4 mtp mysql njb
opengl postgres visualization +xine"
-REQUIRED_USE="|| ( xine akode )"
+REQUIRED_USE="|| ( xine akode ) mysql? ( !mariadb )"
DEPEND="
dev-db/sqlite
@@ -51,7 +51,8 @@ DEPEND="
ipod? ( media-libs/libgpod )
mp4? ( media-libs/libmp4v2 )
mtp? ( media-libs/libmtp )
- mysql? ( virtual/mysql )
+ mysql? ( dev-db/mysql-connector-c )
+ mariadb? ( dev-db/mariadb-connector-c )
njb? ( media-libs/libnjb )
opengl? ( virtual/opengl )
postgres? ( dev-db/postgresql:= )
@@ -63,6 +64,15 @@ DEPEND="
"
RDEPEND="${DEPEND}"
+src_prepare() {
+ if use mysql ; then
+ sed -i 's/mariadb_config mysql_config/mysql_config/' "${S}/ConfigureChecks.cmake"
+ elif use mariadb ; then
+ sed -i 's/mariadb_config mysql_config/mariadb_config/' "${S}/ConfigureChecks.cmake"
+ fi
+ trinity-base-2_src_prepare
+}
+
src_configure() {
local mycmakeargs=(
-DWITH_SYSTEM_SQLITE=ON
@@ -77,13 +87,17 @@ src_configure() {
-DWITH_KONQSIDEBAR="$(usex konqsidebar)"
-DWITH_MP4V2="$(usex mp4)"
-DWITH_MTP="$(usex mtp)"
- -DWITH_MYSQL="$(usex mysql)"
-DWITH_NJB="$(usex njb)"
-DWITH_OPENGL="$(usex opengl)"
-DWITH_POSTGRESQL="$(usex postgres)"
-DWITH_LIBVISUAL="$(usex visualization)"
-DWITH_XINE="$(usex xine)"
)
+ if use mysql ; then
+ mycmakeargs+=( -DWITH_MYSQL=ON )
+ elif use mariadb ; then
+ mycmakeargs+=( -DWITH_MYSQL=ON )
+ fi
trinity-base-2_src_configure
}